commit: 77dc51da55d63336c6be33220ab796a3de408e7e
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 13 10:56:46 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Feb 13 10:57:03 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77dc51da
app-i18n/man-pages-de: Version bump to 1.21, proxied commit for Markus Oehme
Gentoo-Bug: #608874
Package-Manager: portage-2.3.3
app-i18n/man-pages-de/Manifest | 1 +
app-i18n/man-pages-de/man-pages-de-1.21.ebuild | 49 ++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/app-i18n/man-pages-de/Manifest b/app-i18n/man-pages-de/Manifest
index 008e0bfc48..b18bbcefae 100644
--- a/app-i18n/man-pages-de/Manifest
+++ b/app-i18n/man-pages-de/Manifest
@@ -1,2 +1,3 @@
DIST manpages-de-1.15.tar.xz 1529576 SHA256
dd2d5f30fb221db23fdd54d1ca27356beaad8257705658252deb0aff242f6303 SHA512
d1f1b9f60c4713d6be650e21b7664ff594dbd542b53148c00d1a2269413d39615dd76be4c4095eeb72e2598b94af134ca5d128b85d9520a1ac404364b8a53948
WHIRLPOOL
b0cce22e6cb9e028cae86ff32bf033308df118db49731b65642b065e37f02b614e0af7772db8acf856415ed0c65391a7949930b8e59b9e48ed8fb97ac30355b6
DIST manpages-de-1.16.tar.xz 1537396 SHA256
7ca7e12e1ae3d058dd32a8df607e991b88455484d6d07f003a86956b4ddc32c4 SHA512
7e070a055804536a7777c573c2e7f7617bb305feafde70324e7a583a232f0463ee3df1b2a255b7e8cee621719db16c6b12b9d13ef4979260b085b0827b230a4f
WHIRLPOOL
2c326e6789a4dd2d5619a6177b96f5dbc1c6c04b5f13fe92cbd272a80d5f5935a0dadc6192296f7eda8a8cb2c45d6cd09bc8e244b944e9de86c694a66c6abeea
+DIST manpages-de-1.21.tar.xz 1585600 SHA256
2fa728768a4582f6451486e29e080738341c15d418b5a4778b93e1703be3198f SHA512
24cc36e8e9c2efb8cd2a0c374a3f5da96f6645a306082cc28aae5933081f7de24bac03652f690a2becd32a23a93c17ddd9029190c299dda95eeb25f49b327fac
WHIRLPOOL
eb05a2ef99c0b3e47e5de8b84d43226b6b36d782c868cfb88cd0f77668762bc8fba890e51e17775ed41a58b1ba4d1350934fd7f30c466e7da5b19dc03fa6f935
diff --git a/app-i18n/man-pages-de/man-pages-de-1.21.ebuild
b/app-i18n/man-pages-de/man-pages-de-1.21.ebuild
new file mode 100644
index 0000000000..53730c4564
--- /dev/null
+++ b/app-i18n/man-pages-de/man-pages-de-1.21.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+MY_P="${PN/-/}-${PV}"
+
+DESCRIPTION="A somewhat comprehensive collection of Linux german man page
translations"
+HOMEPAGE="http://alioth.debian.org/projects/manpages-de/"
+SRC_URI="http://manpages-de.alioth.debian.org/downloads/${MY_P}.tar.xz"
+
+LICENSE="GPL-3+ man-pages GPL-2+ GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86"
+IUSE=""
+
+RDEPEND="virtual/man"
+DEPEND="app-text/po4a"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ default
+
+ # Use the same compression as every other manpage
+ local PORTAGE_COMPRESS_LOCAL=${PORTAGE_COMPRESS-bzip2}
+ if [[ ${PORTAGE_COMPRESS+set} == "set" ]] ; then
+ PORTAGE_COMPRESS_LOCAL="#"
+ fi
+ if [[ ${PORTAGE_COMPRESS_FLAGS+set} != "set" ]] ; then
+ case ${PORTAGE_COMPRESS_LOCAL} in
+ bzip2|gzip) local PORTAGE_COMPRESS_FLAGS_LOCAL="-9"
+ ;;
+ esac
+ fi
+ sed -i -e "s/gzip --best/${PORTAGE_COMPRESS_LOCAL}
${PORTAGE_COMPRESS_FLAGS_LOCAL}/"\
+ po/man{1,2,3,4,5,6,7,8}/Makefile.in po/common.mk || die
+ eautoreconf
+}
+
+src_compile() { :; }
+
+src_install() {
+ emake mandir="${ED}"/usr/share/man install
+ dodoc CHANGES README
+}